## most 5.2.0

=== doc/tm/Makefile ===
# -*- sh -*-
#
# To create the SGML files, you will need to install the tmexpand
# package.  See http://www.jedsoft.org/ for more information.
#
TM2SGML = tmexpand
SGML2HTML = sgml2html
DOCBOOK2MAN = docbook2man
DOCBOOK2TXT = docbook2txt

all: most.1 most.txt

most.1: most.sgml
	$(DOCBOOK2MAN) most.sgml
most.sgml: most.tm
	$(TM2SGML) most.tm most.sgml
most.txt: most.sgml
	$(DOCBOOK2TXT) most.sgml
view: most.1
	nroff -man most.1 | most
#----------------------------------------------------------------------------
clean:
	-rm -f *~ *-error manpage.refs manpage.links
distclean: clean
	-rm -f most.1 most.sgml
install: most.1 most.txt
	mv most.1 most.txt ..

## most 5.0.0a

=== debian/changelog ===
most (5.0.0a-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper compat to 9 (Closes: #817586)
  * Update to policy 3.9.8 (use dpkg-buildflags,
    add build-arch/build-indep targets)
  * Fix lintian issues (above plus missing misc:depends)
  * Don't force $CC=gcc (breaks cross-building)
  * Use dh_autoreconf to support new architectures
  * Reinstate quiltification from 5.0.0a-2.2 NMU

 -- Wookey <wookey@debian.org>  Fri, 22 Jul 2016 01:26:53 +0100

most (5.0.0a-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Rebase upload on 5.0.0a-2.1 (Closes: #726164)
  * Fix terminfo directory location, deal with ncurses package's change, see
    Bug#678441, thanks to Hideki Yamane for the patch (Closes: #710629)

 -- David Prévot <taffit@debian.org>  Tue, 15 Oct 2013 10:24:35 -0400

most (5.0.0a-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches
    - add terminfo-dir.patch to fix FTBFS (Closes: #710629)
  * add debian/source/format as "3.0 (quilt)" 
  * debian/rules
    - move copy config.guess files target to "Build:"

 -- Hideki Yamane <henrich@debian.org>  Sun, 06 Oct 2013 16:39:37 +0900

most (5.0.0a-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "build fails on configure-step (couldn't find slang.h)":
    add patch from Ubuntu / Daniel T Chen:
    - debian/rules: Handle multiarch slang2. Fixes FTBFS.
    Additionally, build-depend on dpkg-dev >= 1.16.0, and delete the RPATH
    that gets introduced because the autofoo detects the "non-standard" slang
    directory. (Closes: #643339)

 -- gregor herrmann <gregoa@debian.org>  Sun, 04 Dec 2011 16:01:26 +0100

most (5.0.0a-2) unstable; urgency=low

  * Lots of improvements to documentation.
  * Added HOME and END to the less keybindings config. Closes: #516842
  * Cleaned up missing and bad information on configuration file in
    documenation. Closes: #516832
  * Clarified use of postfix notation. Closes: #205130
  * Fix mispelling in man page. Closes: #480649
  * Fix regressions on color issues in man page. Closes: #375384
  
 -- Benjamin Mako Hill <mako@debian.org>  Sat, 23 Oct 2010 20:44:29 -0400

most (5.0.0a-1) unstable; urgency=low

  * New upstream release. Closes: #453439, #470659
  * Added support for opening LZMA files. Closes: #466574
  * Fixed stripping. Closes: #437578
  * Fixed crashing with many carriage returns. Closes: #409737
  * Fixed goto and goto percent. Closes: #373230
  * Fix pseudo-quitting when viewing many files. Closes: #362526
  * Updated policy to 3.7.3.

 -- Benjamin Mako Hill <mako@debian.org>  Tue, 26 Feb 2008 21:37:34 -0500

most (4.10.2-5) unstable; urgency=low

  * Cleaned up the manual page. Closes: #355525, #375384
  * Fixed autotools issues affecting a few groups. Closes: #333451

 -- Benjamin Mako Hill <mako@debian.org>  Sun,  1 Apr 2007 19:40:37 -0400

most (4.10.2-4) unstable; urgency=low

  * Fixes bugs with tab expansions when scrolling horizontally.
    Closes: #355353

 -- Benjamin Mako Hill <mako@debian.org>  Sun,  5 Mar 2006 14:31:15 -0500

most (4.10.2-3) unstable; urgency=low

  * Applied additional patch from Javier Kohen (Thanks again!).
  * Fixed minor glitches when displaying multi-byte characters.
    Closes: #347844
  * Fixed wrapped mode when using formatted output.
  * Updates config.guess and config.sub. Closes: #333451

 -- Benjamin Mako Hill <mako@debian.org>  Thu,  2 Mar 2006 11:43:09 -0500  

most (4.10.2-2) unstable; urgency=low

  * Patch from Javier Kohen to rework (and fix) RegExp searches, so they now
    work. Closes: #341187
  * Patch from Javier Koehn to finally fix handling of UTF-8 data.
    Closes: #211217
  * Fixed typos in manpage. Closes: #307841, #335329, #338129
  * Added mime support. Closes: #260388

 -- Benjamin Mako Hill <mako@debian.org>  Mon,  5 Dec 2005 00:43:31 -0500

most (4.10.2-1) unstable; urgency=low

  * New upstream release.
  * Build against SLang2. Closes #322235

 -- Benjamin Hill (Mako) <mako@debian.org>  Sun, 11 Sep 2005 17:54:03 -0400

most (4.9.4-2) unstable; urgency=low

  * Fixed typo in manpage. Closes: #205032
  * Improved short and long descriptions: Closes: #218835, #249217

 -- Benjamin Hill (Mako) <mako@debian.org>  Sun, 16 May 2004 18:39:31 -0300

most (4.9.4-1) unstable; urgency=low

  * New upstream release(s).
  * Fixed handling of filenames and environment variables.
    Closes: #170447
  * Fixes bug for handling file with a big number of lines.
    Closes: #179812
  
 -- Benjamin Hill (Mako) <mako@debian.org>  Sat,  9 Aug 2003 12:49:47 -0700

most (4.9.2-3) unstable; urgency=low

  * Fixes bug with long lines in wrap mode. Closes: #123008, #116147

 -- Benjamin Hill (Mako) <mako@debian.org>  Mon,  8 Apr 2002 21:45:16 -0400

most (4.9.2-2) unstable; urgency=low

  * Fixes bugs with configuration files introduced by changes in the most
    recent upstream versions. Closes: #112704, #110491.

 -- Benjamin Hill (Mako) <mako@debian.org>  Wed,  7 Nov 2001 20:53:24 -0500

most (4.9.2-1) unstable; urgency=low

  * New upstream release
  * Fixes bug where most crashed with very long lines. Closes: #108218
  
 -- Benjamin Hill (Mako) <mako@debian.org>  Thu, 23 Aug 2001 17:14:30 -0400

most (4.9.0-5) unstable; urgency=low

  * New maintainer.
  * Updated section to "text" in the control to reflect actual placement
    on servers.
  
 -- Benjamin Hill (Mako) <mako@debian.org>  Mon, 25 Dec 2000 22:22:36 -0500

most (4.9.0-4) unstable; urgency=low

  * Where's the paper bag?  s/-s/-e/ in postinst.  Closes: #75122.

 -- Adam Heath <doogie@debian.org>  Thu, 19 Oct 2000 00:36:03 -0500

most (4.9.0-3) unstable; urgency=low

  * Added Build-Depends.
  * Added '' around the filename for popen.  Closes: #61728.
  * Made most add itself to the pager alternative, between more and less.
    Closes: #53418.

 -- Adam Heath <doogie@debian.org>  Wed, 18 Oct 2000 10:36:56 -0500

most (4.9.0-2) unstable; urgency=low

  * New maintainer.


=== debian/control ===
Source: most
Section: text
Priority: optional
Maintainer: Benjamin Mako Hill <mako@debian.org> 
Standards-Version: 3.9.8.0
Build-Depends: debhelper (>=9), autotools-dev, dh-autoreconf, libslang2-dev, chrpath

Package: most
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Pager program similar to more and less
 Most is a paging program that displays, one windowful at a time, the
 contents of a file on a terminal. A status line at the bottom of the
 screen displays the file name, the current line number and the percentage
 of the file so far displayed.
 .
 Unlike other paging programs, most is capable of displaying an
 arbitrary number of windows as long as they all fit on the screen, and
 different windows could be used to view the same file in different
 positions.
 .
 In addition to displaying ordinary text files, most can also display
 binary files as well as files with arbitrary ascii characters.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CC ?= gcc
CFLAGS += -Wall -DUTF8

install_binary= install -o root -g root -m 755
install_script= install -o root -g root -m 755
install_files=  install -o root -g root -m 644

# The next section may have to be extensively modified

build-indep: 
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

build-arch: build-stamp
build-stamp:
	dh_testdir
	@echo "Building the binaries ..."
	dh_autoreconf
	CC="$(CC)" CFLAGS="$(CFLAGS)" ./configure --with-slanglib=/usr/lib/"$(DEB_HOST_MULTIARCH)"
	$(MAKE) SYS_INITFILE=/etc/most.conf
	touch $@

clean:
	dh_testdir
	dh_testroot
	@echo "Cleaning up after a build ..."
	-rm -f build-stamp src/config.h
	-rm -f config.log
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean


binary-indep:  
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build
	dh_testdir 
	dh_testroot 
	dh_clean
	@echo "Making the binary package: $(p)-$(version)-$(debian).deb ..."
	dh_installdirs 
	dh_installchangelogs changes.txt
	dh_installdocs debian/copyright README lesskeys.rc most-fun.txt most.rc
	dh_installmime
	dh_installman most.1
	$(install_binary) src/objs/most debian/most/usr/bin/most
	chrpath --delete debian/most/usr/bin/most
	dh_strip
	dh_compress
	dh_shlibdeps
	dh_installdeb
	dh_fixperms
	dh_md5sums
	dh_gencontrol
	dh_builddeb 

# Below here is fairly generic really.

binary: binary-indep binary-arch
build: build-indep build-arch 

.PHONY: binary binary-indep binary-arch build-indep build-arch dist update clean checkroot

## most 5.0.0a-1

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Benjamin Mako Hill <mako@debian.org> 
-Standards-Version: 3.9.8.0
-Build-Depends: debhelper (>=9), autotools-dev, dh-autoreconf, libslang2-dev, chrpath
+Standards-Version: 3.7.3
+Build-Depends: debhelper (>=4), libslang2-dev
 
 Package: most
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Description: Pager program similar to more and less
  Most is a paging program that displays, one windowful at a time, the
  contents of a file on a terminal. A status line at the bottom of the

=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,11 @@
 # dpkg-buildpackage in a package-independent way, and so these targets
 # are obsolete.
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# This is the debhelper compatibility version to use.
+# export DH_COMPAT=4
 
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-CC ?= gcc
-CFLAGS += -Wall -DUTF8
+CC = gcc
+CFLAGS = -O2 -g -Wall -DUTF8
 
 install_binary= install -o root -g root -m 755
 install_script= install -o root -g root -m 755
@@ -26,17 +24,11 @@
 
 # The next section may have to be extensively modified
 
-build-indep: 
-# There are no architecture-independent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
-
-build-arch: build-stamp
+build: build-stamp
 build-stamp:
 	dh_testdir
 	@echo "Building the binaries ..."
-	dh_autoreconf
-	CC="$(CC)" CFLAGS="$(CFLAGS)" ./configure --with-slanglib=/usr/lib/"$(DEB_HOST_MULTIARCH)"
+	CC="$(CC)" CFLAGS="$(CFLAGS)" ./configure
 	$(MAKE) SYS_INITFILE=/etc/most.conf
 	touch $@
 
@@ -47,11 +39,14 @@
 	-rm -f build-stamp src/config.h
 	-rm -f config.log
 	[ ! -f Makefile ] || $(MAKE) distclean
-	dh_autoreconf_clean
 	dh_clean
+	-test -r /usr/share/misc/config.sub && \
+	cp -f /usr/share/misc/config.sub autoconf/config.sub
+	-test -r /usr/share/misc/config.guess && \
+	cp -f /usr/share/misc/config.guess autoconf/config.guess
 
 
-binary-indep:  
+binary-indep:  build
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
 # made here.
@@ -67,7 +62,6 @@
 	dh_installmime
 	dh_installman most.1
 	$(install_binary) src/objs/most debian/most/usr/bin/most
-	chrpath --delete debian/most/usr/bin/most
 	dh_strip
 	dh_compress
 	dh_shlibdeps
@@ -80,6 +74,5 @@
 # Below here is fairly generic really.
 
 binary: binary-indep binary-arch
-build: build-indep build-arch 
 
-.PHONY: binary binary-indep binary-arch build-indep build-arch dist update clean checkroot
+.PHONY: binary binary-indep binary-arch dist update clean checkroot

## most 5.2.0

=== debian/changelog ===
most (5.2.0-1) unstable; urgency=medium

  * New upstream release. Closes: #99097
  * Remove quoted %-escapes. Closes: #987405
  * Updated standards and debhelper compat versions and build-deps.
  * Minor changes to remove all lintian warnings.

 -- Benjamin Mako Hill <mako@debian.org>  Fri, 30 Jun 2023 15:36:24 -0700

most (5.0.0a-4) unstable; urgency=low

  * Tweaked manpage to remove macro which is invalid (and generating warnings)
    in Debian versions of man.

 -- Benjamin Mako Hill <mako@debian.org>  Sun, 25 Dec 2016 15:02:35 -0800

most (5.0.0a-3) unstable; urgency=high

  * lzma-support.patch:
    - Fix CVE-2016-1253: shell injection attack when opening
      lzma-compressed files (Closes: #848132)
  * Added support for xv compressed file (Closes: #846465)

 -- Benjamin Mako Hill <mako@debian.org>  Wed, 14 Dec 2016 18:08:56 -0800

most (5.0.0a-2.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Use dh_autotools_dev instead of dh_autoreconf
    as autoreconf needs a major autofoo update

 -- Wookey <wookey@debian.org>  Thu, 04 Aug 2016 23:29:53 +0000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: text
 Priority: optional
 Maintainer: Benjamin Mako Hill <mako@debian.org> 
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>=4), libslang2-dev
+Standards-Version: 4.6.2.0
+Build-Depends: debhelper (>=13), libslang2-dev, chrpath, docbook-utils, tmexpand
 
 Package: most
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Pager program similar to more and less
  Most is a paging program that displays, one windowful at a time, the
  contents of a file on a terminal. A status line at the bottom of the

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,13 @@
 # dpkg-buildpackage in a package-independent way, and so these targets
 # are obsolete.
 
-# This is the debhelper compatibility version to use.
-# export DH_COMPAT=4
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-CC = gcc
-CFLAGS = -O2 -g -Wall -DUTF8
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+CC ?= gcc
+CFLAGS += -Wall -DUTF8
 
 install_binary= install -o root -g root -m 755
 install_script= install -o root -g root -m 755
@@ -24,12 +26,21 @@
 
 # The next section may have to be extensively modified
 
-build: build-stamp
+build-indep: 
+# There are no architecture-independent files to be uploaded
+# generated by this package.  If there were any they would be
+# made here.
+
+build-arch: build-stamp
 build-stamp:
 	dh_testdir
 	@echo "Building the binaries ..."
-	CC="$(CC)" CFLAGS="$(CFLAGS)" ./configure
+	dh_update_autotools_config
+	CC="$(CC)" CFLAGS="$(CFLAGS)" ./configure --with-slanglib=/usr/lib/"$(DEB_HOST_MULTIARCH)"
 	$(MAKE) SYS_INITFILE=/etc/most.conf
+	[ -f doc/most.txt.orig ] || cp doc/most.txt doc/most.txt.orig
+	[ -f doc/most.1.orig ] || cp doc/most.1 doc/most.1.orig
+	$(MAKE) -C doc/tm all
 	touch $@
 
 clean:
@@ -39,14 +50,13 @@
 	-rm -f build-stamp src/config.h
 	-rm -f config.log
 	[ ! -f Makefile ] || $(MAKE) distclean
+	$(MAKE) -C doc/tm distclean
+	[ ! -f doc/most.txt.orig ] || mv doc/most.txt.orig doc/most.txt 
+	[ ! -f doc/most.1.orig ] || mv doc/most.1.orig doc/most.1
 	dh_clean
-	-test -r /usr/share/misc/config.sub && \
-	cp -f /usr/share/misc/config.sub autoconf/config.sub
-	-test -r /usr/share/misc/config.guess && \
-	cp -f /usr/share/misc/config.guess autoconf/config.guess
 
 
-binary-indep:  build
+binary-indep:  
 # There are no architecture-independent files to be uploaded
 # generated by this package.  If there were any they would be
 # made here.
@@ -58,10 +68,11 @@
 	@echo "Making the binary package: $(p)-$(version)-$(debian).deb ..."
 	dh_installdirs 
 	dh_installchangelogs changes.txt
-	dh_installdocs debian/copyright README lesskeys.rc most-fun.txt most.rc
+	dh_installdocs debian/copyright README NEWS doc/lesskeys.rc doc/most-fun.txt doc/most.rc
 	dh_installmime
-	dh_installman most.1
+	dh_installman doc/most.1
 	$(install_binary) src/objs/most debian/most/usr/bin/most
+	chrpath --delete debian/most/usr/bin/most
 	dh_strip
 	dh_compress
 	dh_shlibdeps
@@ -74,5 +85,6 @@
 # Below here is fairly generic really.
 
 binary: binary-indep binary-arch
+build: build-indep build-arch 
 
-.PHONY: binary binary-indep binary-arch dist update clean checkroot
+.PHONY: binary binary-indep binary-arch build-indep build-arch dist update clean checkroot

## most client-1.0.24

=== requirements.txt ===
requests
wheel
adaptix
json5
dataclasses_json
black
coverage
flake8
mypy
pylint
pytest
tox
twine
httpx
pydub
